Bug 9797 - Untranslatable strings have returned to ajax.js
Summary: Untranslatable strings have returned to ajax.js
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-12 00:42 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9797 - Untranslatable strings have returned to ajax.js (1.84 KB, patch)
2013-03-12 00:47 UTC, Owen Leonard
Details | Diff | Splinter Review
snapshot without patch (27.54 KB, image/png)
2013-03-18 16:13 UTC, Christophe Croullebois
Details
snapshot with patch (29.58 KB, image/png)
2013-03-18 16:14 UTC, Christophe Croullebois
Details
Bug 9797 - Follow up : use double quotes in javascript translatable strings (1.37 KB, patch)
2013-03-22 10:20 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9797 - Untranslatable strings have returned to ajax.js (1.86 KB, patch)
2013-03-22 10:36 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9797 - Follow up : use double quotes in javascript translatable strings (1.37 KB, patch)
2013-03-22 10:37 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 9797 - Untranslatable strings have returned to ajax.js (1.91 KB, patch)
2013-03-28 16:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9797 - Follow up : use double quotes in javascript translatable strings (1.43 KB, patch)
2013-03-28 16:35 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-03-12 00:42:21 UTC
The patch for Bug 8942 undid the changes to ajax.js made by Bug 9331.
Comment 1 Owen Leonard 2013-03-12 00:47:07 UTC Comment hidden (obsolete)
Comment 2 Christophe Croullebois 2013-03-18 16:13:09 UTC
Created attachment 16275 [details]
snapshot without patch
Comment 3 Christophe Croullebois 2013-03-18 16:14:44 UTC
Created attachment 16278 [details]
snapshot with patch
Comment 4 Christophe Croullebois 2013-03-18 16:18:43 UTC
Hello Owen,
sry but I need clarification, I join 2 snapshots, without the patch and with it.
I see no differences, but probably I don't look at the right place.
Could you precise the test plan ?
Thx
Comment 5 Owen Leonard 2013-03-18 16:29:07 UTC
Thanks for testing,

The fact that you see no differences is a good sign the patch is working. The only way to test that the patch fixes translations is to update your translation and confirm that the string is now in the po file.

For instance: Before the patch, searching misc/translator/po/fr-FR-i-staff-t-prog-v-3006000.po for the string "Error; your data might not have been saved" will return no results.

After running "perl translate update fr-FR" from misc/translator another search should return one result for the same search.
Comment 6 Christophe Croullebois 2013-03-19 13:51:13 UTC
Hello Owen,
thx, unfortunately after the translate I have not the string in fr-FR-i-staff-t-prog-v-3006000.po.
But we have two warnings during the translation (not due to your patch), I don't think it is related :
Warning: Can't determine original templates' charset, defaulting to UTF-8
Warning: Charset Out defaulting to UTF-8
/home/christophe/workspace/versions/community/misc/translator/po/fr-FR-opac-ccsr.po: Aucun fichier ou dossier de ce type
The first warning with utf8 by default I think it is ok, and the second one is about opac, so these warnings I think, are related with the fact that the translation doesn't insert the string expected.
Maybe you have an idea about that.
Thx
Comment 7 Owen Leonard 2013-03-20 17:06:25 UTC
(In reply to comment #6)
> Hello Owen,
> thx, unfortunately after the translate I have not the string in
> fr-FR-i-staff-t-prog-v-3006000.po.
> But we have two warnings during the translation (not due to your patch)

I get the same errors when I run "perl translate update fr-FR" (as I do in master), but I still see the new strings successfully added to the po file. Can you test again?
Comment 8 Fridolin SOMERS 2013-03-22 10:20:33 UTC Comment hidden (obsolete)
Comment 9 Fridolin SOMERS 2013-03-22 10:36:31 UTC Comment hidden (obsolete)
Comment 10 Fridolin SOMERS 2013-03-22 10:37:11 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2013-03-28 16:34:50 UTC
QA comment:
These patches reintroduce changes made in bug 8942.
Strings appears in po file.
Marked as Passed QA.
Comment 12 Jonathan Druart 2013-03-28 16:35:06 UTC
Created attachment 16990 [details] [review]
Bug 9797 - Untranslatable strings have returned to ajax.js

The patch for Bug 8942 undid the changes to ajax.js made by Bug 9331.
This patch puts those changes back.

To test that preference-related error messages continue to work,
open the system preferences editor in two tabs. Log out in one tab and
try to save a system preference in the other. You should see correct
error messages.

Signed-off-by: Pierre Angot <tredok.pierre@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 13 Jonathan Druart 2013-03-28 16:35:10 UTC
Created attachment 16991 [details] [review]
Bug 9797 - Follow up : use double quotes in javascript translatable strings

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 14 Jared Camins-Esakov 2013-03-30 01:44:18 UTC
This patch has been pushed to master.